Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sampling
Class AbstractBurnInTestParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.sampling.AbstractBurnInTestParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

Direct Known Subclasses:
  VarianceRatioBurnInTestParameterSet

    public abstract class AbstractBurnInTestParameterSet

extends InstanceParameterSet

Class for the parameters of a `AbstractBurnInTest`. This class fulfills the requirements of a `InstanceParameterSet` and can be used to create a new `AbstractBurnInTest`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`protected` | `AbstractBurnInTestParameterSet(Class<? extends AbstractBurnInTest> instanceClass)` Creates a new `AbstractBurnInTestParameterSet` with empty parameter values.
`protected` | `AbstractBurnInTestParameterSet(Class<? extends AbstractBurnInTest> instanceClass, int starts)` Creates a new `AbstractBurnInTestParameterSet` with pre-defined parameter values.
`protected` | `AbstractBurnInTestParameterSet(StringBuffer representation)` The standard constructor for the interface `Storable`.

Method Summary
`AbstractBurnInTestParameterSet` | `clone()` Creates a full clone (deep copy) of this `ParameterSet`.
`int` | `getNumberOfStarts()` Returns the number of starts.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, getInstanceComment, getInstanceName, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBurnInTestParameterSet

    protected AbstractBurnInTestParameterSet(Class<? extends AbstractBurnInTest> instanceClass)
                                      throws IllegalArgumentException

  Creates a new `AbstractBurnInTestParameterSet` with empty parameter values.

  Parameters:
    `instanceClass` - the class to be instantiated
  Throws:
    `IllegalArgumentException` - if `instanceClass` is `null`

### AbstractBurnInTestParameterSet

    protected AbstractBurnInTestParameterSet(Class<? extends AbstractBurnInTest> instanceClass,
                                             int starts)
                                      throws IllegalArgumentException,
                                             SimpleParameter.IllegalValueException,
                                             Exception

  Creates a new `AbstractBurnInTestParameterSet` with pre-defined parameter values.

  Parameters:
    `instanceClass` - the class to be instantiated
    `starts` - the number of runs the Gibbs Sampler will be started
  Throws:
    `IllegalArgumentException` - if `instanceClass` is `null`
    `SimpleParameter.IllegalValueException` - if `starts` can not be set
    `Exception` - forwarded from `loadParameters()`

### AbstractBurnInTestParameterSet

    protected AbstractBurnInTestParameterSet(StringBuffer representation)
                                      throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs an `AbstractBurnInTestParameterSet` out of an XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `AbstractBurnInTestParameterSet` could not be reconstructed out of the `StringBuffer` `representation`

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Specified by:
    `loadParameters` in class `ParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### getNumberOfStarts

    public int getNumberOfStarts()

  Returns the number of starts.

  Returns:
    the number of starts

### clone

    public AbstractBurnInTestParameterSet clone()
                                         throws CloneNotSupportedException

  Description copied from class: `ParameterSet`
  Creates a full clone (deep copy) of this `ParameterSet`. As a convenience-method the user can use `fillWithStandardFieldsForClone(ParameterSet)` on a newly created instance of a subclass of `ParameterSet` to obtain a clone/copy of all standard member variables (those already defined in `ParameterSet`) in the passed `ParameterSet`. Using this method, the cloning process becomes merely three-step:
  - Create a new instance of your subclass of `ParameterSet`, most likely with an empty constructor or the one taking just the instance class.
  - Call `this.fillWithStandardFieldsForClone` on this instance.
  - Return the instance.
  This method fulfills the conventions of `Object`'s method `Object.clone()`.

  Overrides:
    `clone` in class `ParameterSet`
  Returns:
    a deep clone/copy of this `ParameterSet`
  Throws:
    `CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD